Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#42569 - [xfce4-session] Consider adding a dependency on a PolicyKit agent.

Attached to Project: Arch Linux
Opened by James (JRMoore) - Sunday, 26 October 2014, 21:41 GMT
Last edited by Evangelos Foutras (foutrelis) - Saturday, 14 March 2015, 23:56 GMT
Task Type Feature Request
Category Packages: Extra
Status Closed
Assigned To Evangelos Foutras (foutrelis)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Xfce currently doesn't have its own PolicyKit authentication agent, as such it relies on others such as polkit-gnome or lxpolkit (now in lxsession) for example.

Installing polkit-gnome for example is not enough because it doesn't come with an autostart file. It used to, but upstream dropped it in 2011 stating it was easier for desktops and power users to autostart it themselves [1]. I would like to open a debate to consider adding a dependency on polkit-gnome and provide an autostart file (for example [2]), which is currently the approach of Fedora as well [3].

I think it would be beneficial to have such dependency allowing installations of Xfce to "just work" in a sense, by providing and autostarting an authentication agent. For example mounting external drives through Thunar would work out of the box.

GNOME uses another agent built in gnome-shell and Cinnamon depends and autostarts polkit-gnome. KDE and MATE also depend and autostart polkit-kde and mate-polkit respectively.

[1]: https://git.gnome.org/browse/PolicyKit-gnome/commit/?id=47ca445decf21b8de13d804b870d6ce171bad306
[2]: http://www.linuxfromscratch.org/blfs/view/svn/gnome/polkit-gnome.html
[3]: http://pkgs.fedoraproject.org/cgit/xfce4-session.git/tree/polkit-gnome-authentication-agent-1.desktop
This task depends upon

Closed by  Evangelos Foutras (foutrelis)
Saturday, 14 March 2015, 23:56 GMT
Reason for closing:  Implemented
Additional comments about closing:  xfce4-session 4.12.0-2
Comment by Evangelos Foutras (foutrelis) - Sunday, 01 March 2015, 16:19 GMT
Implemented in xfce4-session 4.12.0-2.

I'll wait until Xfce 4.12 leaves [testing] before closing this task.

Loading...